Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.constants
Interface ContextKeys.SDX.Application

Enclosing interface:
  ContextKeys.SDX

public static interface ContextKeys.SDX.Application

Field Summary
`static java.lang.String` | `BACKUP_DIRECTORY_PATH` String representation for a key in the ContextKeys object : directory for the location of the backup files.
`static java.lang.String` | `CONFIGURATION_DIRECTORY_PATH` String representation for a key in the ContextKeys object : framework's applications configuration directories.
`static java.lang.String` | `CONFIGURATION_OBJECT` String representation for a key in the ContextKeys object : framework's applications configurations.
`static java.lang.String` | `DATABASE_DIRECTORY_PATH` The key name for the database directory of this application in the "_context" object.
`static java.lang.String` | `DATADIR_DIRECTORY_PATH` String representation for a key in the ContextKeys object : directory for the location of the DBs.
`static java.lang.String` | `DEFAULT_DATABASE_CONFIGURATION_OBJECT` The key name for the default database type this application in the "_context" object.
`static java.lang.String` | `DIRECTORY_NAME` String representation for a key in the ContextKeys object : framework's applications names.
`static java.lang.String` | `DOCUMENTBASES_DIRECTORY_PATH` String representation for a key in the ContextKeys object : directory for the location of the DBs.
`static java.lang.String` | `FIELD_LISTS` String representation for a key in the ContextKeys object : application-level repositories.
`static java.lang.String` | `HSQL_DATABASE_OBJECT` The key name for the potention hsql db of this application in the "_context" object.
`static java.lang.String` | `ID` String representation for a key in the ContextKeys object : application's id.
`static java.lang.String` | `INDEXATION_LOGGING_LEVEL` String representation for a key in the ContextKeys object : indexation logging level
`static java.lang.String` | `IS_DATADIR_SHARED` String representation for a key in the ContextKeys object : is datadir shared
`static java.lang.String` | `NAME` String representation for a key in the ContextKeys object : application's name.
`static java.lang.String` | `REPOSITORIES` String representation for a key in the ContextKeys object : application-level repositories.
`static java.lang.String` | `REPOSITORIES_DIRECTORY_PATH` String representation for a key in the ContextKeys object : directory for the location of the repositories.
`static java.lang.String` | `THESAURI_DIRECTORY_PATH` String representation for a key in the ContextKeys object : directory for the location of the thesauri.
`static java.lang.String` | `USERS_DIRECTORY_PATH` String representation for a key in the ContextKeys object : directory for the location of the users info.
`static java.lang.String` | `USERS_DOCUMENTBASE_DIRECTORY_PATH` String representation for a key in the ContextKeys object : directory for the location of the users' documents.

Field Detail

### DIRECTORY_NAME

    public static final java.lang.String DIRECTORY_NAME

  String representation for a key in the ContextKeys object : framework's applications names.

  See Also:
    Constant Field Values

### CONFIGURATION_DIRECTORY_PATH

    public static final java.lang.String CONFIGURATION_DIRECTORY_PATH

  String representation for a key in the ContextKeys object : framework's applications configuration directories.

  See Also:
    Constant Field Values

### CONFIGURATION_OBJECT

    public static final java.lang.String CONFIGURATION_OBJECT

  String representation for a key in the ContextKeys object : framework's applications configurations.

  See Also:
    Constant Field Values

### ID

    public static final java.lang.String ID

  String representation for a key in the ContextKeys object : application's id.

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  String representation for a key in the ContextKeys object : application's name.

  See Also:
    Constant Field Values

### REPOSITORIES

    public static final java.lang.String REPOSITORIES

  String representation for a key in the ContextKeys object : application-level repositories.

  See Also:
    Constant Field Values

### FIELD_LISTS

    public static final java.lang.String FIELD_LISTS

  String representation for a key in the ContextKeys object : application-level repositories.

  See Also:
    Constant Field Values

### BACKUP_DIRECTORY_PATH

    public static final java.lang.String BACKUP_DIRECTORY_PATH

  String representation for a key in the ContextKeys object : directory for the location of the backup files.

  See Also:
    Constant Field Values

### DATADIR_DIRECTORY_PATH

    public static final java.lang.String DATADIR_DIRECTORY_PATH

  String representation for a key in the ContextKeys object : directory for the location of the DBs.

  See Also:
    Constant Field Values

### IS_DATADIR_SHARED

    public static final java.lang.String IS_DATADIR_SHARED

  String representation for a key in the ContextKeys object : is datadir shared

  See Also:
    Constant Field Values

### INDEXATION_LOGGING_LEVEL

    public static final java.lang.String INDEXATION_LOGGING_LEVEL

  String representation for a key in the ContextKeys object : indexation logging level

  See Also:
    Constant Field Values

### DOCUMENTBASES_DIRECTORY_PATH

    public static final java.lang.String DOCUMENTBASES_DIRECTORY_PATH

  String representation for a key in the ContextKeys object : directory for the location of the DBs.

  See Also:
    Constant Field Values

### REPOSITORIES_DIRECTORY_PATH

    public static final java.lang.String REPOSITORIES_DIRECTORY_PATH

  String representation for a key in the ContextKeys object : directory for the location of the repositories.

  See Also:
    Constant Field Values

### USERS_DIRECTORY_PATH

    public static final java.lang.String USERS_DIRECTORY_PATH

  String representation for a key in the ContextKeys object : directory for the location of the users info.

  See Also:
    Constant Field Values

### USERS_DOCUMENTBASE_DIRECTORY_PATH

    public static final java.lang.String USERS_DOCUMENTBASE_DIRECTORY_PATH

  String representation for a key in the ContextKeys object : directory for the location of the users' documents.

  See Also:
    Constant Field Values

### THESAURI_DIRECTORY_PATH

    public static final java.lang.String THESAURI_DIRECTORY_PATH

  String representation for a key in the ContextKeys object : directory for the location of the thesauri.

  See Also:
    Constant Field Values

### DATABASE_DIRECTORY_PATH

    public static final java.lang.String DATABASE_DIRECTORY_PATH

  The key name for the database directory of this application in the "_context" object.

  See Also:
    Constant Field Values

### HSQL_DATABASE_OBJECT

    public static final java.lang.String HSQL_DATABASE_OBJECT

  The key name for the potention hsql db of this application in the "_context" object.

  See Also:
    Constant Field Values

### DEFAULT_DATABASE_CONFIGURATION_OBJECT

    public static final java.lang.String DEFAULT_DATABASE_CONFIGURATION_OBJECT

  The key name for the default database type this application in the "_context" object.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.